import { BasePartialBatchProcessor } from './BasePartialBatchProcessor';
import type { BaseRecord, FailureResponse, SuccessResponse } from './types';
/**
 * Process native partial responses from SQS, Kinesis Data Streams, and DynamoDB
 */
declare class AsyncBatchProcessor extends BasePartialBatchProcessor {
    asyncProcessRecord(record: BaseRecord): Promise<SuccessResponse | FailureResponse>;
    /**
     * Process a record with instance's handler
     * @param record Batch record to be processed
     * @returns response of success or failure
     */
    processRecord(_record: BaseRecord): SuccessResponse | FailureResponse;
}
export { AsyncBatchProcessor };
